com.saxonica.schema

## Class WhitespaceFacet

- java.lang.Object
- - com.saxonica.schema.Facet
  - - com.saxonica.schema.WhitespaceFacet

- All Implemented Interfaces:
    Serializable

      public class WhitespaceFacet
      extends Facet

  Represents a whitespace facet on a schema-defined simple type
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WhitespaceFacet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkFacetRestriction(UserSimpleType type, SimpleType base, SchemaCompiler compiler)` Check that this facet is legal when used on a type derived by restriction
    `FunctionItem` | `getFacetAsFunctionItem()` Get a function item that represents this Facet schema component.
    `String` | `getName()` Returns the name of this Facet
    `String` | `getValue()` Returns the lexical representation of this facet
    `int` | `getWhitespaceAction()` Get the whitespace action required: one of PRESERVE, REPLACE, or COLLAPSE
    `boolean` | `isConstraining()` Ask whether this is a constraining facet (as distinct from a pre-lexical facet)
    `void` | `setValue(String value)`
    `boolean` | `testAtomicValue(AtomicValue value)` Test whether an atomic value conforms to this facet

    - ### Methods inherited from class com.saxonica.schema.Facet

      `getMessage, isFacetName, isFixed, isNewlyIntroduced, makeFacet, serializeFacet, setFixed, setMessage, testLength, testListValue, toLong`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WhitespaceFacet

          public WhitespaceFacet()

  - ### Method Detail

    - #### isConstraining

          public boolean isConstraining()

      Ask whether this is a constraining facet (as distinct from a pre-lexical facet)
      Overrides:
        `isConstraining` in class `Facet`
      Returns:
        true if this is a constraining facet. Note: we return false, despite the fact that the XSD specification misleadingly classifies whiteSpace as a constraining facet

    - #### getName

          public String getName()

      Description copied from class: `Facet`
      Returns the name of this Facet
      Specified by:
        `getName` in class `Facet`
      Returns:
        the name of this Facet

    - #### setValue

          public void setValue(String value)
                        throws SchemaException

      Throws:
        `SchemaException`

    - #### getValue

          public String getValue()

      Returns the lexical representation of this facet
      Specified by:
        `getValue` in class `Facet`
      Returns:
        the value of this facet

    - #### getWhitespaceAction

          public int getWhitespaceAction()

      Get the whitespace action required: one of PRESERVE, REPLACE, or COLLAPSE
      Overrides:
        `getWhitespaceAction` in class `Facet`
      Returns:
        the whitespace action, by default PRESERVE

    - #### checkFacetRestriction

          public void checkFacetRestriction(UserSimpleType type,
                                   SimpleType base,
                                   SchemaCompiler compiler)
                                     throws SchemaException,
                                            ValidationException

      Check that this facet is legal when used on a type derived by restriction
      Overrides:
        `checkFacetRestriction` in class `Facet`
      Parameters:
        `base` - the type from which the restricted type is derived
        `compiler` -
        `type` - the type on which the facet is defined
      Throws:
        `SchemaException` - if the facet is not legal
        `ValidationException` - if a value is found that does not conform to the facet

    - #### testAtomicValue

          public boolean testAtomicValue(AtomicValue value)

      Test whether an atomic value conforms to this facet
      Specified by:
        `testAtomicValue` in class `Facet`
      Parameters:
        `value` - the value to be tested
      Returns:
        true if the value conforms; false if it doesn't conform, or if the test fails

    - #### getFacetAsFunctionItem

          public FunctionItem getFacetAsFunctionItem()

      Description copied from class: `Facet`
      Get a function item that represents this Facet schema component.
      Specified by:
        `getFacetAsFunctionItem` in class `Facet`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.